%global distname xxHash

Summary: Extremely fast hash algorithm
Name: xxhash
Version: 0.8.2
Release: 1%{?dist}
License: BSD-2-Clause AND GPL-2.0-only AND GPL-2.0-or-later
Group: System Environment/Base
URL: https://xxhash.com/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://github.com/Cyan4973/xxHash/archive/v%{version}/%{distname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
%{distname} is an Extremely fast Hash algorithm, running at RAM speed limits.
It successfully completes the SMHasher test suite which evaluates
collision, dispersion and randomness qualities of hash functions.
Code is highly portable, and hashes are identical on all platforms
(little / big endian).

%package libs
Summary: Libraries for applications using %{distname}
License: BSD-2-Clause
Group: System Environment/Libraries
Requires(post,postun): /sbin/ldconfig

%description libs
Libraries for applications using the %{distname} algorithm.

%package devel
Summary: Header files and libraries for %{distname} development
License: BSD-2-Clause
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description devel
Header files and libraries needed to develop programs that use the
%{distname} library.

%prep
%setup -q -n %{distname}-%{version}

%build
export CFLAGS="%{optflags} -fPIC"
%{__make} DISPATCH=0 SED_ERE_OPT="-r"

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__make} install DESTDIR=%{buildroot} INSTALL="install -p" \
  LIBDIR=%{_libdir} PREFIX=%{_prefix} SED_ERE_OPT="-r"

# remove files we don't need
find %{buildroot}%{_libdir} -type f -name '*.a' -exec %{__rm} -f {} \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README.md SECURITY.md
%{_bindir}/xxh*sum
%{_mandir}/man1/xxh*sum.1*

%files libs
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README.md SECURITY.md
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_includedir}/%{name}.h
%{_includedir}/xxh3.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Fri Jul 21 2023 Simon Matter <simon.matter@invoca.ch> 0.8.2-1
- upgrade to release 0.8.2

* Tue Nov 30 2021 Simon Matter <simon.matter@invoca.ch> 0.8.1-1
- upgrade to release 0.8.1

* Tue Jul 28 2020 Simon Matter <simon.matter@invoca.ch> 0.8.0-1
- upgrade to release 0.8.0

* Mon Jun 29 2020 Simon Matter <simon.matter@invoca.ch> 0.7.4-1
- upgrade to release 0.7.4

* Thu Jun 18 2020 Simon Matter <simon.matter@invoca.ch> 0.7.3-1
- initial package
